# Uses of Interface
org.globus.ftp.Marker

Packages that use Marker
Package
Description
org.globus.ftp

## Uses of Marker in org.globus.ftp

Subinterfaces of Marker in org.globus.ftp
Modifier and Type
Interface
Description
`interface`
`RestartMarker`
Classes in org.globus.ftp that implement Marker
Modifier and Type
Class
Description
`class`
`GridFTPRestartMarker`
Represents GridFTP restart marker, which contains unordered set of byte ranges representing transferred data.
`class`
`PerfMarker`
Represents GridFTP performance marker.
`class`
`StreamModeRestartMarker`
Represents FTP stream mode restart marker, as defined in RFC 959.
Methods in org.globus.ftp with parameters of type Marker
Modifier and Type
Method
Description
`void`
MarkerListener.`markerArrived(Marker m)`
When writing your implementation, assume this method being called whenever a marker arrives.